package com.dgtly.wxportal.domain;

import com.dgtly.common.core.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 收货单
 * </p>
 *
 * @author csz
 * @since 2020-07-30
 */
public class EReceivingNote extends BaseEntity {

    private static final long serialVersionUID = 1L;


    //    订单号
    private String orderNumber;
    //    订单创建时间
    private String orderCreationTime;
    //    交货单号
    private String deliveryNumber;
    //    运单号
    private String shipmentNumber;
    //    交货地址
    private String shipToAddress;
    //    重量
    private String weight = "0";
    /*//    本交货单行明细
    private List<ConfirmCollectLineDetailModel> deliveryLineDetail = new ArrayList<>();
    //    其他交货单数据
    private List<ConfirmCollectOtherDeliveryModel> otherDeliveryModels = new ArrayList<>();*/
    //    本交货单行明细
    private List<ConfirmCollectQueryDeliverModel> ownConfirmCollectQueryDeliverModels = new ArrayList<>();
    //    其他交货单数据
    private List<ConfirmCollectQueryDeliverModel> otherConfirmCollectQueryDeliverModels = new ArrayList<>();
    //经销商代号
    private String belongTo;
    //  经销商名称
    private String customerName;
    private String agent;


    public String getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    public String getOrderCreationTime() {
        return orderCreationTime;
    }

    public void setOrderCreationTime(String orderCreationTime) {
        this.orderCreationTime = orderCreationTime;
    }

    public String getDeliveryNumber() {
        return deliveryNumber;
    }

    public void setDeliveryNumber(String deliveryNumber) {
        this.deliveryNumber = deliveryNumber;
    }

    public String getShipmentNumber() {
        return shipmentNumber;
    }

    public void setShipmentNumber(String shipmentNumber) {
        this.shipmentNumber = shipmentNumber;
    }

    public String getShipToAddress() {
        return shipToAddress;
    }

    public void setShipToAddress(String shipToAddress) {
        this.shipToAddress = shipToAddress;
    }

    public String getWeight() {
        return weight;
    }

    public void setWeight(String weight) {
        this.weight = weight;
    }

    /*public List<ConfirmCollectLineDetailModel> getDeliveryLineDetail() {
        return deliveryLineDetail;
    }

    public void setDeliveryLineDetail(List<ConfirmCollectLineDetailModel> deliveryLineDetail) {
        this.deliveryLineDetail = deliveryLineDetail;
    }

    public List<ConfirmCollectOtherDeliveryModel> getOtherDeliveryModels() {
        return otherDeliveryModels;
    }

    public void setOtherDeliveryModels(List<ConfirmCollectOtherDeliveryModel> otherDeliveryModels) {
        this.otherDeliveryModels = otherDeliveryModels;
    }*/

    public List<ConfirmCollectQueryDeliverModel> getOwnConfirmCollectQueryDeliverModels() {
        return ownConfirmCollectQueryDeliverModels;
    }

    public void setOwnConfirmCollectQueryDeliverModels(List<ConfirmCollectQueryDeliverModel> ownConfirmCollectQueryDeliverModels) {
        this.ownConfirmCollectQueryDeliverModels = ownConfirmCollectQueryDeliverModels;
    }

    public List<ConfirmCollectQueryDeliverModel> getOtherConfirmCollectQueryDeliverModels() {
        return otherConfirmCollectQueryDeliverModels;
    }

    public void setOtherConfirmCollectQueryDeliverModels(List<ConfirmCollectQueryDeliverModel> otherConfirmCollectQueryDeliverModels) {
        this.otherConfirmCollectQueryDeliverModels = otherConfirmCollectQueryDeliverModels;
    }

    public String getBelongTo() {
        return belongTo;
    }

    public void setBelongTo(String belongTo) {
        this.belongTo = belongTo;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getAgent() {
        return agent;
    }

    public void setAgent(String agent) {
        this.agent = agent;
    }
}
